com.ihr.xbrl.util.zip

## Class ZipEntryFileProxy

- java.lang.Object
- - java.io.File
  - - com.ihr.xbrl.util.zip.ZipEntryFileProxy

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<java.io.File>

      public class ZipEntryFileProxy
      extends java.io.File

  The Class ZipEntryFileProxy.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.io.File

      `pathSeparator, pathSeparatorChar, separator, separatorChar`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZipEntryFileProxy(ZipFileProxy zip, java.util.zip.ZipFile zipfile, java.lang.String path, java.io.File parent)` Instantiates a new zip entry file proxy.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `boolean` | `exists()`
    `java.io.File` | `getAbsoluteFile()`
    `java.lang.String` | `getAbsolutePath()`
    `java.io.File` | `getCanonicalFile()`
    `java.io.InputStream` | `getInputStream()` Gets the input stream.
    `java.lang.String` | `getName()`
    `java.io.File` | `getParentFile()`
    `java.lang.String` | `getPath()`
    `int` | `hashCode()`
    `boolean` | `isAbsolute()`
    `boolean` | `isDirectory()`
    `java.io.File[]` | `listFiles()`
    `java.net.URI` | `toURI()`

    - ### Methods inherited from class java.io.File

      `canExecute, canRead, canWrite, compareTo, createNewFile, createTempFile, createTempFile, delete, deleteOnExit, getCanonicalPath, getFreeSpace, getParent, getTotalSpace, getUsableSpace, isFile, isHidden, lastModified, length, list, list, listFiles, listFiles, listRoots, mkdir, mkdirs, renameTo, setExecutable, setExecutable, setLastModified, setReadable, setReadable, setReadOnly, setWritable, setWritable, toPath, toString, toURL`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ZipEntryFileProxy

          public ZipEntryFileProxy(ZipFileProxy zip,
                           java.util.zip.ZipFile zipfile,
                           java.lang.String path,
                           java.io.File parent)

      Instantiates a new zip entry file proxy.
      Parameters:
        `zip` - the zip
        `zipfile` - the zipfile
        `path` - the path
        `parent` - the parent

  - ### Method Detail

    - #### exists

          public boolean exists()

      Overrides:
        `exists` in class `java.io.File`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.io.File`

    - #### getName

          public java.lang.String getName()

      Overrides:
        `getName` in class `java.io.File`

    - #### getPath

          public java.lang.String getPath()

      Overrides:
        `getPath` in class `java.io.File`

    - #### isDirectory

          public boolean isDirectory()

      Overrides:
        `isDirectory` in class `java.io.File`

    - #### isAbsolute

          public boolean isAbsolute()

      Overrides:
        `isAbsolute` in class `java.io.File`

    - #### getAbsolutePath

          public java.lang.String getAbsolutePath()

      Overrides:
        `getAbsolutePath` in class `java.io.File`

    - #### getAbsoluteFile

          public java.io.File getAbsoluteFile()

      Overrides:
        `getAbsoluteFile` in class `java.io.File`

    - #### getCanonicalFile

          public java.io.File getCanonicalFile()

      Overrides:
        `getCanonicalFile` in class `java.io.File`

    - #### getParentFile

          public java.io.File getParentFile()

      Overrides:
        `getParentFile` in class `java.io.File`

    - #### toURI

          public java.net.URI toURI()

      Overrides:
        `toURI` in class `java.io.File`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.io.File`

    - #### getInputStream

          public java.io.InputStream getInputStream()
                                             throws java.io.IOException

      Gets the input stream.
      Returns:
        the input stream
      Throws:
        `java.io.IOException` - Signals that an I/O exception has occurred.

    - #### listFiles

          public java.io.File[] listFiles()

      Overrides:
        `listFiles` in class `java.io.File`